XCB: XCB XvMC API

XCB 1.13

Data Structures | Macros | Typedefs | Functions | Variables
XCB XvMC API

XvMC XCB Protocol Implementation. More...

## Data Structures
struct | xcb_xvmc_context_iterator_t
| xcb_xvmc_context_iterator_t More...
struct | xcb_xvmc_surface_iterator_t
| xcb_xvmc_surface_iterator_t More...
struct | xcb_xvmc_subpicture_iterator_t
| xcb_xvmc_subpicture_iterator_t More...
struct | xcb_xvmc_surface_info_t
| xcb_xvmc_surface_info_t More...
struct | xcb_xvmc_surface_info_iterator_t
| xcb_xvmc_surface_info_iterator_t More...
struct | xcb_xvmc_query_version_cookie_t
| xcb_xvmc_query_version_cookie_t More...
struct | xcb_xvmc_query_version_request_t
| xcb_xvmc_query_version_request_t More...
struct | xcb_xvmc_query_version_reply_t
| xcb_xvmc_query_version_reply_t More...
struct | xcb_xvmc_list_surface_types_cookie_t
| xcb_xvmc_list_surface_types_cookie_t More...
struct | xcb_xvmc_list_surface_types_request_t
| xcb_xvmc_list_surface_types_request_t More...
struct | xcb_xvmc_list_surface_types_reply_t
| xcb_xvmc_list_surface_types_reply_t More...
struct | xcb_xvmc_create_context_cookie_t
| xcb_xvmc_create_context_cookie_t More...
struct | xcb_xvmc_create_context_request_t
| xcb_xvmc_create_context_request_t More...
struct | xcb_xvmc_create_context_reply_t
| xcb_xvmc_create_context_reply_t More...
struct | xcb_xvmc_destroy_context_request_t
| xcb_xvmc_destroy_context_request_t More...
struct | xcb_xvmc_create_surface_cookie_t
| xcb_xvmc_create_surface_cookie_t More...
struct | xcb_xvmc_create_surface_request_t
| xcb_xvmc_create_surface_request_t More...
struct | xcb_xvmc_create_surface_reply_t
| xcb_xvmc_create_surface_reply_t More...
struct | xcb_xvmc_destroy_surface_request_t
| xcb_xvmc_destroy_surface_request_t More...
struct | xcb_xvmc_create_subpicture_cookie_t
| xcb_xvmc_create_subpicture_cookie_t More...
struct | xcb_xvmc_create_subpicture_request_t
| xcb_xvmc_create_subpicture_request_t More...
struct | xcb_xvmc_create_subpicture_reply_t
| xcb_xvmc_create_subpicture_reply_t More...
struct | xcb_xvmc_destroy_subpicture_request_t
| xcb_xvmc_destroy_subpicture_request_t More...
struct | xcb_xvmc_list_subpicture_types_cookie_t
| xcb_xvmc_list_subpicture_types_cookie_t More...
struct | xcb_xvmc_list_subpicture_types_request_t
| xcb_xvmc_list_subpicture_types_request_t More...
struct | xcb_xvmc_list_subpicture_types_reply_t
| xcb_xvmc_list_subpicture_types_reply_t More...

## Macros
#define | XCB_XVMC_MAJOR_VERSION 1
#define | XCB_XVMC_MINOR_VERSION 1
#define | XCB_XVMC_QUERY_VERSION 0
#define | XCB_XVMC_LIST_SURFACE_TYPES 1
#define | XCB_XVMC_CREATE_CONTEXT 2
#define | XCB_XVMC_DESTROY_CONTEXT 3
#define | XCB_XVMC_CREATE_SURFACE 4
#define | XCB_XVMC_DESTROY_SURFACE 5
#define | XCB_XVMC_CREATE_SUBPICTURE 6
#define | XCB_XVMC_DESTROY_SUBPICTURE 7
#define | XCB_XVMC_LIST_SUBPICTURE_TYPES 8

## Typedefs
typedef uint32_t | xcb_xvmc_context_t
typedef struct xcb_xvmc_context_iterator_t | xcb_xvmc_context_iterator_t
| xcb_xvmc_context_iterator_t
typedef uint32_t | xcb_xvmc_surface_t
typedef struct xcb_xvmc_surface_iterator_t | xcb_xvmc_surface_iterator_t
| xcb_xvmc_surface_iterator_t
typedef uint32_t | xcb_xvmc_subpicture_t
typedef struct xcb_xvmc_subpicture_iterator_t | xcb_xvmc_subpicture_iterator_t
| xcb_xvmc_subpicture_iterator_t
typedef struct xcb_xvmc_surface_info_t | xcb_xvmc_surface_info_t
| xcb_xvmc_surface_info_t
typedef struct xcb_xvmc_surface_info_iterator_t | xcb_xvmc_surface_info_iterator_t
| xcb_xvmc_surface_info_iterator_t
typedef struct xcb_xvmc_query_version_cookie_t | xcb_xvmc_query_version_cookie_t
| xcb_xvmc_query_version_cookie_t
typedef struct xcb_xvmc_query_version_request_t | xcb_xvmc_query_version_request_t
| xcb_xvmc_query_version_request_t
typedef struct xcb_xvmc_query_version_reply_t | xcb_xvmc_query_version_reply_t
| xcb_xvmc_query_version_reply_t
typedef struct xcb_xvmc_list_surface_types_cookie_t | xcb_xvmc_list_surface_types_cookie_t
| xcb_xvmc_list_surface_types_cookie_t
typedef struct xcb_xvmc_list_surface_types_request_t | xcb_xvmc_list_surface_types_request_t
| xcb_xvmc_list_surface_types_request_t
typedef struct xcb_xvmc_list_surface_types_reply_t | xcb_xvmc_list_surface_types_reply_t
| xcb_xvmc_list_surface_types_reply_t
typedef struct xcb_xvmc_create_context_cookie_t | xcb_xvmc_create_context_cookie_t
| xcb_xvmc_create_context_cookie_t
typedef struct xcb_xvmc_create_context_request_t | xcb_xvmc_create_context_request_t
| xcb_xvmc_create_context_request_t
typedef struct xcb_xvmc_create_context_reply_t | xcb_xvmc_create_context_reply_t
| xcb_xvmc_create_context_reply_t
typedef struct xcb_xvmc_destroy_context_request_t | xcb_xvmc_destroy_context_request_t
| xcb_xvmc_destroy_context_request_t
typedef struct xcb_xvmc_create_surface_cookie_t | xcb_xvmc_create_surface_cookie_t
| xcb_xvmc_create_surface_cookie_t
typedef struct xcb_xvmc_create_surface_request_t | xcb_xvmc_create_surface_request_t
| xcb_xvmc_create_surface_request_t
typedef struct xcb_xvmc_create_surface_reply_t | xcb_xvmc_create_surface_reply_t
| xcb_xvmc_create_surface_reply_t
typedef struct xcb_xvmc_destroy_surface_request_t | xcb_xvmc_destroy_surface_request_t
| xcb_xvmc_destroy_surface_request_t
typedef struct xcb_xvmc_create_subpicture_cookie_t | xcb_xvmc_create_subpicture_cookie_t
| xcb_xvmc_create_subpicture_cookie_t
typedef struct xcb_xvmc_create_subpicture_request_t | xcb_xvmc_create_subpicture_request_t
| xcb_xvmc_create_subpicture_request_t
typedef struct xcb_xvmc_create_subpicture_reply_t | xcb_xvmc_create_subpicture_reply_t
| xcb_xvmc_create_subpicture_reply_t
typedef struct xcb_xvmc_destroy_subpicture_request_t | xcb_xvmc_destroy_subpicture_request_t
| xcb_xvmc_destroy_subpicture_request_t
typedef struct xcb_xvmc_list_subpicture_types_cookie_t | xcb_xvmc_list_subpicture_types_cookie_t
| xcb_xvmc_list_subpicture_types_cookie_t
typedef struct xcb_xvmc_list_subpicture_types_request_t | xcb_xvmc_list_subpicture_types_request_t
| xcb_xvmc_list_subpicture_types_request_t
typedef struct xcb_xvmc_list_subpicture_types_reply_t | xcb_xvmc_list_subpicture_types_reply_t
| xcb_xvmc_list_subpicture_types_reply_t

## Functions
void | xcb_xvmc_context_next (xcb_xvmc_context_iterator_t *i)
xcb_generic_iterator_t | xcb_xvmc_context_end (xcb_xvmc_context_iterator_t i)
void | xcb_xvmc_surface_next (xcb_xvmc_surface_iterator_t *i)
xcb_generic_iterator_t | xcb_xvmc_surface_end (xcb_xvmc_surface_iterator_t i)
void | xcb_xvmc_subpicture_next (xcb_xvmc_subpicture_iterator_t *i)
xcb_generic_iterator_t | xcb_xvmc_subpicture_end (xcb_xvmc_subpicture_iterator_t i)
void | xcb_xvmc_surface_info_next (xcb_xvmc_surface_info_iterator_t *i)
xcb_generic_iterator_t | xcb_xvmc_surface_info_end (xcb_xvmc_surface_info_iterator_t i)
xcb_xvmc_query_version_cookie_t | xcb_xvmc_query_version (xcb_connection_t *c)
xcb_xvmc_query_version_cookie_t | xcb_xvmc_query_version_unchecked (xcb_connection_t *c)
xcb_xvmc_query_version_reply_t * | xcb_xvmc_query_version_reply (xcb_connection_t *c, xcb_xvmc_query_version_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xvmc_list_surface_types_sizeof (const void *_buffer)
xcb_xvmc_list_surface_types_cookie_t | xcb_xvmc_list_surface_types (xcb_connection_t *c, xcb_xv_port_t port_id)
xcb_xvmc_list_surface_types_cookie_t | xcb_xvmc_list_surface_types_unchecked (xcb_connection_t *c, xcb_xv_port_t port_id)
xcb_xvmc_surface_info_t * | xcb_xvmc_list_surface_types_surfaces (const xcb_xvmc_list_surface_types_reply_t *R)
int | xcb_xvmc_list_surface_types_surfaces_length (const xcb_xvmc_list_surface_types_reply_t *R)
xcb_xvmc_surface_info_iterator_t | xcb_xvmc_list_surface_types_surfaces_iterator (const xcb_xvmc_list_surface_types_reply_t *R)
xcb_xvmc_list_surface_types_reply_t * | xcb_xvmc_list_surface_types_reply (xcb_connection_t *c, xcb_xvmc_list_surface_types_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xvmc_create_context_sizeof (const void *_buffer)
xcb_xvmc_create_context_cookie_t | xcb_xvmc_create_context (xcb_connection_t *c, xcb_xvmc_context_t context_id, xcb_xv_port_t port_id, xcb_xvmc_surface_t surface_id, uint16_t width, uint16_t height, uint32_t flags)
xcb_xvmc_create_context_cookie_t | xcb_xvmc_create_context_unchecked (xcb_connection_t *c, xcb_xvmc_context_t context_id, xcb_xv_port_t port_id, xcb_xvmc_surface_t surface_id, uint16_t width, uint16_t height, uint32_t flags)
uint32_t * | xcb_xvmc_create_context_priv_data (const xcb_xvmc_create_context_reply_t *R)
int | xcb_xvmc_create_context_priv_data_length (const xcb_xvmc_create_context_reply_t *R)
xcb_generic_iterator_t | xcb_xvmc_create_context_priv_data_end (const xcb_xvmc_create_context_reply_t *R)
xcb_xvmc_create_context_reply_t * | xcb_xvmc_create_context_reply (xcb_connection_t *c, xcb_xvmc_create_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xvmc_destroy_context_checked (xcb_connection_t *c, xcb_xvmc_context_t context_id)
xcb_void_cookie_t | xcb_xvmc_destroy_context (xcb_connection_t *c, xcb_xvmc_context_t context_id)
int | xcb_xvmc_create_surface_sizeof (const void *_buffer)
xcb_xvmc_create_surface_cookie_t | xcb_xvmc_create_surface (xcb_connection_t *c, xcb_xvmc_surface_t surface_id, xcb_xvmc_context_t context_id)
xcb_xvmc_create_surface_cookie_t | xcb_xvmc_create_surface_unchecked (xcb_connection_t *c, xcb_xvmc_surface_t surface_id, xcb_xvmc_context_t context_id)
uint32_t * | xcb_xvmc_create_surface_priv_data (const xcb_xvmc_create_surface_reply_t *R)
int | xcb_xvmc_create_surface_priv_data_length (const xcb_xvmc_create_surface_reply_t *R)
xcb_generic_iterator_t | xcb_xvmc_create_surface_priv_data_end (const xcb_xvmc_create_surface_reply_t *R)
xcb_xvmc_create_surface_reply_t * | xcb_xvmc_create_surface_reply (xcb_connection_t *c, xcb_xvmc_create_surface_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xvmc_destroy_surface_checked (xcb_connection_t *c, xcb_xvmc_surface_t surface_id)
xcb_void_cookie_t | xcb_xvmc_destroy_surface (xcb_connection_t *c, xcb_xvmc_surface_t surface_id)
int | xcb_xvmc_create_subpicture_sizeof (const void *_buffer)
xcb_xvmc_create_subpicture_cookie_t | xcb_xvmc_create_subpicture (xcb_connection_t *c, xcb_xvmc_subpicture_t subpicture_id, xcb_xvmc_context_t context, uint32_t xvimage_id, uint16_t width, uint16_t height)
xcb_xvmc_create_subpicture_cookie_t | xcb_xvmc_create_subpicture_unchecked (xcb_connection_t *c, xcb_xvmc_subpicture_t subpicture_id, xcb_xvmc_context_t context, uint32_t xvimage_id, uint16_t width, uint16_t height)
uint32_t * | xcb_xvmc_create_subpicture_priv_data (const xcb_xvmc_create_subpicture_reply_t *R)
int | xcb_xvmc_create_subpicture_priv_data_length (const xcb_xvmc_create_subpicture_reply_t *R)
xcb_generic_iterator_t | xcb_xvmc_create_subpicture_priv_data_end (const xcb_xvmc_create_subpicture_reply_t *R)
xcb_xvmc_create_subpicture_reply_t * | xcb_xvmc_create_subpicture_reply (xcb_connection_t *c, xcb_xvmc_create_subpicture_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xvmc_destroy_subpicture_checked (xcb_connection_t *c, xcb_xvmc_subpicture_t subpicture_id)
xcb_void_cookie_t | xcb_xvmc_destroy_subpicture (xcb_connection_t *c, xcb_xvmc_subpicture_t subpicture_id)
int | xcb_xvmc_list_subpicture_types_sizeof (const void *_buffer)
xcb_xvmc_list_subpicture_types_cookie_t | xcb_xvmc_list_subpicture_types (xcb_connection_t *c, xcb_xv_port_t port_id, xcb_xvmc_surface_t surface_id)
xcb_xvmc_list_subpicture_types_cookie_t | xcb_xvmc_list_subpicture_types_unchecked (xcb_connection_t *c, xcb_xv_port_t port_id, xcb_xvmc_surface_t surface_id)
xcb_xv_image_format_info_t * | xcb_xvmc_list_subpicture_types_types (const xcb_xvmc_list_subpicture_types_reply_t *R)
int | xcb_xvmc_list_subpicture_types_types_length (const xcb_xvmc_list_subpicture_types_reply_t *R)
xcb_xv_image_format_info_iterator_t | xcb_xvmc_list_subpicture_types_types_iterator (const xcb_xvmc_list_subpicture_types_reply_t *R)
xcb_xvmc_list_subpicture_types_reply_t * | xcb_xvmc_list_subpicture_types_reply (xcb_connection_t *c, xcb_xvmc_list_subpicture_types_cookie_t cookie, xcb_generic_error_t **e)

## Variables
xcb_extension_t | xcb_xvmc_id

## Detailed Description

XvMC XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_XVMC_CREATE_CONTEXT

#define XCB_XVMC_CREATE_CONTEXT 2

Opcode for xcb_xvmc_create_context.

## ◆ XCB_XVMC_CREATE_SUBPICTURE

#define XCB_XVMC_CREATE_SUBPICTURE 6

Opcode for xcb_xvmc_create_subpicture.

## ◆ XCB_XVMC_CREATE_SURFACE

#define XCB_XVMC_CREATE_SURFACE 4

Opcode for xcb_xvmc_create_surface.

## ◆ XCB_XVMC_DESTROY_CONTEXT

#define XCB_XVMC_DESTROY_CONTEXT 3

Opcode for xcb_xvmc_destroy_context.

## ◆ XCB_XVMC_DESTROY_SUBPICTURE

#define XCB_XVMC_DESTROY_SUBPICTURE 7

Opcode for xcb_xvmc_destroy_subpicture.

## ◆ XCB_XVMC_DESTROY_SURFACE

#define XCB_XVMC_DESTROY_SURFACE 5

Opcode for xcb_xvmc_destroy_surface.

## ◆ XCB_XVMC_LIST_SUBPICTURE_TYPES

#define XCB_XVMC_LIST_SUBPICTURE_TYPES 8

Opcode for xcb_xvmc_list_subpicture_types.

## ◆ XCB_XVMC_LIST_SURFACE_TYPES

#define XCB_XVMC_LIST_SURFACE_TYPES 1

Opcode for xcb_xvmc_list_surface_types.

## ◆ XCB_XVMC_QUERY_VERSION

#define XCB_XVMC_QUERY_VERSION 0

Opcode for xcb_xvmc_query_version.

## Function Documentation

## ◆ xcb_xvmc_context_end()

xcb_generic_iterator_t xcb_xvmc_context_end | ( | xcb_xvmc_context_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xvmc_context_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_xvmc_context_next()

void xcb_xvmc_context_next | ( | xcb_xvmc_context_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xvmc_context_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xvmc_context_t)

## ◆ xcb_xvmc_create_context()

xcb_xvmc_create_context_cookie_t xcb_xvmc_create_context | ( | xcb_connection_t * | c,
|  | xcb_xvmc_context_t | context_id,
|  | xcb_xv_port_t | port_id,
|  | xcb_xvmc_surface_t | surface_id,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | flags
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xvmc_create_context_reply()

xcb_xvmc_create_context_reply_t* xcb_xvmc_create_context_reply | ( | xcb_connection_t * | c,
|  | xcb_xvmc_create_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xvmc_create_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xvmc_create_context_unchecked()

xcb_xvmc_create_context_cookie_t xcb_xvmc_create_context_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xvmc_context_t | context_id,
|  | xcb_xv_port_t | port_id,
|  | xcb_xvmc_surface_t | surface_id,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | flags
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xvmc_create_subpicture()

xcb_xvmc_create_subpicture_cookie_t xcb_xvmc_create_subpicture | ( | xcb_connection_t * | c,
|  | xcb_xvmc_subpicture_t | subpicture_id,
|  | xcb_xvmc_context_t | context,
|  | uint32_t | xvimage_id,
|  | uint16_t | width,
|  | uint16_t | height
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xvmc_create_subpicture_reply()

xcb_xvmc_create_subpicture_reply_t* xcb_xvmc_create_subpicture_reply | ( | xcb_connection_t * | c,
|  | xcb_xvmc_create_subpicture_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xvmc_create_subpicture_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xvmc_create_subpicture_unchecked()

xcb_xvmc_create_subpicture_cookie_t xcb_xvmc_create_subpicture_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xvmc_subpicture_t | subpicture_id,
|  | xcb_xvmc_context_t | context,
|  | uint32_t | xvimage_id,
|  | uint16_t | width,
|  | uint16_t | height
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xvmc_create_surface()

xcb_xvmc_create_surface_cookie_t xcb_xvmc_create_surface | ( | xcb_connection_t * | c,
|  | xcb_xvmc_surface_t | surface_id,
|  | xcb_xvmc_context_t | context_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xvmc_create_surface_reply()

xcb_xvmc_create_surface_reply_t* xcb_xvmc_create_surface_reply | ( | xcb_connection_t * | c,
|  | xcb_xvmc_create_surface_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xvmc_create_surface_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xvmc_create_surface_unchecked()

xcb_xvmc_create_surface_cookie_t xcb_xvmc_create_surface_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xvmc_surface_t | surface_id,
|  | xcb_xvmc_context_t | context_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xvmc_destroy_context()

xcb_void_cookie_t xcb_xvmc_destroy_context | ( | xcb_connection_t * | c,
|  | xcb_xvmc_context_t | context_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xvmc_destroy_context_checked()

xcb_void_cookie_t xcb_xvmc_destroy_context_checked | ( | xcb_connection_t * | c,
|  | xcb_xvmc_context_t | context_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xvmc_destroy_subpicture()

xcb_void_cookie_t xcb_xvmc_destroy_subpicture | ( | xcb_connection_t * | c,
|  | xcb_xvmc_subpicture_t | subpicture_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xvmc_destroy_subpicture_checked()

xcb_void_cookie_t xcb_xvmc_destroy_subpicture_checked | ( | xcb_connection_t * | c,
|  | xcb_xvmc_subpicture_t | subpicture_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xvmc_destroy_surface()

xcb_void_cookie_t xcb_xvmc_destroy_surface | ( | xcb_connection_t * | c,
|  | xcb_xvmc_surface_t | surface_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xvmc_destroy_surface_checked()

xcb_void_cookie_t xcb_xvmc_destroy_surface_checked | ( | xcb_connection_t * | c,
|  | xcb_xvmc_surface_t | surface_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xvmc_list_subpicture_types()

xcb_xvmc_list_subpicture_types_cookie_t xcb_xvmc_list_subpicture_types | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port_id,
|  | xcb_xvmc_surface_t | surface_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xvmc_list_subpicture_types_reply()

xcb_xvmc_list_subpicture_types_reply_t* xcb_xvmc_list_subpicture_types_reply | ( | xcb_connection_t * | c,
|  | xcb_xvmc_list_subpicture_types_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xvmc_list_subpicture_types_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xvmc_list_subpicture_types_unchecked()

xcb_xvmc_list_subpicture_types_cookie_t xcb_xvmc_list_subpicture_types_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port_id,
|  | xcb_xvmc_surface_t | surface_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xvmc_list_surface_types()

xcb_xvmc_list_surface_types_cookie_t xcb_xvmc_list_surface_types | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xvmc_list_surface_types_reply()

xcb_xvmc_list_surface_types_reply_t* xcb_xvmc_list_surface_types_reply | ( | xcb_connection_t * | c,
|  | xcb_xvmc_list_surface_types_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xvmc_list_surface_types_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xvmc_list_surface_types_unchecked()

xcb_xvmc_list_surface_types_cookie_t xcb_xvmc_list_surface_types_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port_id
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xvmc_query_version()

xcb_xvmc_query_version_cookie_t xcb_xvmc_query_version | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xvmc_query_version_reply()

xcb_xvmc_query_version_reply_t* xcb_xvmc_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_xvmc_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xvmc_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xvmc_query_version_unchecked()

xcb_xvmc_query_version_cookie_t xcb_xvmc_query_version_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xvmc_subpicture_end()

xcb_generic_iterator_t xcb_xvmc_subpicture_end | ( | xcb_xvmc_subpicture_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xvmc_subpicture_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_xvmc_subpicture_next()

void xcb_xvmc_subpicture_next | ( | xcb_xvmc_subpicture_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xvmc_subpicture_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xvmc_subpicture_t)

## ◆ xcb_xvmc_surface_end()

xcb_generic_iterator_t xcb_xvmc_surface_end | ( | xcb_xvmc_surface_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xvmc_surface_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_xvmc_surface_info_end()

xcb_generic_iterator_t xcb_xvmc_surface_info_end | ( | xcb_xvmc_surface_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xvmc_surface_info_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_xvmc_surface_info_next()

void xcb_xvmc_surface_info_next | ( | xcb_xvmc_surface_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xvmc_surface_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xvmc_surface_info_t)

## ◆ xcb_xvmc_surface_next()

void xcb_xvmc_surface_next | ( | xcb_xvmc_surface_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xvmc_surface_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xvmc_surface_t)